Subject: RE: [Sip-implementors] Re: [Sip] SDP Query

From: [email-masked]
Date: Fri, 26 Aug 2005 07:09:46 +0530

Colin,
 
SDP is invalid with out mandatory parameters.
What I mean is not the syntax and other parameters.
 
I mean to explan Udit's  question of multiple "C" parameters at  Media description level and Session level.
 
-Sreeram.

________________________________

From: [email-masked] on behalf of Colin Perkins
Sent: Thu 8/25/2005 5:10 AM
To: Sreeram Kanumuri (WT01 - Voice & Next Generation Networks)
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: [Sip-implementors] Re: [Sip] SDP Query

This is not valid, since it's missing "v=", "o=", and "s=" lines, all 
of which are mandatory in SDP.

Colin

On 24 Aug 2005, at 23:08, [email-masked] wrote:
> Hi Udit,
>
> There Must be one "C" field at the session level (or) one "C" field 
> in each media description level.
> "C" value at the session level is like global value.and  Media 
> level is like local.
> so if you do not have it in Media level it will take the value at 
> Session level.
>
> so  to your question:
> Yes it is valid.
> It is indicating different Ip addresses for different Media types.
>
> If you want a particular media stream to be in holding give that IP 
> address for that particular Media stream  "c"  (to 0.0.0.0 or 
> a=inactive)
>
> HTH,
>
> Regards,
> Sreeram.
>
> From: [email-masked] on behalf of [email-masked]
> Sent: Wed 8/24/2005 4:11 PM
> To: SIP Implementors
> Cc: SIP IETF
> Subject: [Sip] SDP Query
>
>
> Hi,
>
> Just want to check if following SDP is valid:
>
>         c=IN IP4 224.2.17.12/127
>         t=2873397496 2873404696
>         a=recvonly
>         m=audio 49170 RTP/AVP 0
>         c=IN IP4 224.2.17.13/127
>         m=video 51372 RTP/AVP 31
>
> It indicates different IP address used for audio and video types.
>
> I thought the reason we have connection parameter in both session 
> and media description is for handling hold cases, where you want to 
> hold a particular set of media instead of whole session.
>
> Regards,
> Udit
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip-implementors mailing list
[email-masked]
http://lists.cs.columbia.edu/mailman/listinfo/sip-implementors

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip